Package com.sas.lsaf.content.common

## Class FileCreateInfo

- java.lang.Object
- - com.sas.lsaf.content.common.AbstractCreateInfo
  - - com.sas.lsaf.content.common.FileCreateInfo

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ExportFileCreateInfo`, `ExtractFileCreateInfo`

      public class FileCreateInfo
      extends AbstractCreateInfo

  Represents all of the properties and attributes that can be set on a file during creation.

  The following table illustrates the use of the `overwrite` and `enableVersioning` flags and how they effect the outcome when there is or is not an existing file at the location specified. The red background indicates the flag has no effect on the combination of factors, the green means it is directly related to the results.

  file existence | overwrite | enableVersioning | results
  --- | --- | --- | ---
  no file | FALSE | FALSE | New un-versioned file created
  FALSE | TRUE | New versioned file created
  TRUE | FALSE | New un-versioned file created
  TRUE | TRUE | New versioned file created
  un-versioned file exists | FALSE | FALSE | Exists exception
  FALSE | TRUE | Exists exception
  TRUE | FALSE | File content updated in place
  TRUE | TRUE | File content updated in place
  versioned file exists | FALSE | FALSE | New version created
  FALSE | TRUE | New version created
  TRUE | FALSE | New version created
  TRUE | TRUE | New version created

  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileCreateInfo​(java.lang.String path)` |
    `FileCreateInfo​(java.lang.String parentPath, java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileCreateInfo` | `comment​(java.lang.String comment)` |
    `FileCreateInfo` | `customVersion​(java.lang.String customVersion)` |
    `FileCreateInfo` | `description​(java.lang.String description)` |
    `FileCreateInfo` | `enableVersioning()` |
    `FileCreateInfo` | `enableVersioning​(boolean enableVersioning)` |
    `java.lang.String` | `getComment()` |
    `java.lang.String` | `getCustomVersion()` |
    `VersionType` | `getVersionType()` |
    `boolean` | `isEnableVersioning()` |
    `boolean` | `isOverwrite()` |
    `FileCreateInfo` | `overwrite()` |
    `FileCreateInfo` | `overwrite​(boolean overwrite)` |
    `void` | `setComment​(java.lang.String comment)` |
    `void` | `setCustomVersion​(java.lang.String customVersion)` |
    `void` | `setEnableVersioning​(boolean enableVersioning)` |
    `void` | `setOverwrite​(boolean overwrite)` |
    `void` | `setVersionType​(VersionType versionType)` |
    `FileCreateInfo` | `versionType​(VersionType versionType)` |

    - ### Methods inherited from class com.sas.lsaf.content.common.AbstractCreateInfo

      `getDescription, getPath, setDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileCreateInfo

          public FileCreateInfo​(java.lang.String path)

    - #### FileCreateInfo

          public FileCreateInfo​(java.lang.String parentPath,
                                java.lang.String name)

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment​(java.lang.String comment)

    - #### isEnableVersioning

          public boolean isEnableVersioning()

    - #### setEnableVersioning

          public void setEnableVersioning​(boolean enableVersioning)

    - #### isOverwrite

          public boolean isOverwrite()

    - #### setOverwrite

          public void setOverwrite​(boolean overwrite)

    - #### getVersionType

          public VersionType getVersionType()

    - #### setVersionType

          public void setVersionType​(VersionType versionType)

    - #### getCustomVersion

          public java.lang.String getCustomVersion()

    - #### setCustomVersion

          public void setCustomVersion​(java.lang.String customVersion)

    - #### comment

          public FileCreateInfo comment​(java.lang.String comment)

    - #### enableVersioning

          public FileCreateInfo enableVersioning()

    - #### enableVersioning

          public FileCreateInfo enableVersioning​(boolean enableVersioning)

    - #### customVersion

          public FileCreateInfo customVersion​(java.lang.String customVersion)

    - #### overwrite

          public FileCreateInfo overwrite()

    - #### overwrite

          public FileCreateInfo overwrite​(boolean overwrite)

    - #### versionType

          public FileCreateInfo versionType​(VersionType versionType)

    - #### description

          public FileCreateInfo description​(java.lang.String description)

      Overrides:
        `description` in class `AbstractCreateInfo`